Почему команда sudo не работает в chroot?

Я только что установил 32-битный chroot для того, чтобы работать на моей 64-битной системе. В изолированной среде, судо команда не работает, он говорит

команду sudo: команда не найдена

Также, когда я пытаюсь Су корневой команду, мой пароль не работает (су: сбой проверки подлинности). Какой пароль они хотят?

Я совсем новичок в Ubuntu, поэтому на самом деле я не знаю, что я делаю. Я просто пытаюсь следовать инструкции.


Я решил эту проблему просто начав из chroot командой:

Катарина@в Ubuntu:~$ chroot-окружение -с oneiric_i386 -у корня

вместо одной я использовал в первый раз:

Катарина@в Ubuntu:~$ chroot-окружение -это

У меня еще есть другие проблемы, но я думаю, что это не для этого вопроса.

+19
srocks 15 апр. 2013 г., 1:51:59
17 ответов

Команду я использую:

судо команды useradd -г пользователи Tom

Его следует добавлять том к группе пользователей, но я не могу найти том в пользователей при регистрации /и т. д./группы.

Однако, если я просто попробовать:

судо команды useradd -г пользователи Джим

Я считаю, что Джим добавлены пользователями успешно.

Кто-либо сталкивался с этой проблемой?

+968
ExMuser 03 февр. '09 в 4:24

Как создать и смонтировать файловую систему yaffs2?

+942
MaTucT 20 янв. 2018 г., 22:24:43

Вы должны быть в состоянии установить принтер в Ubuntu не нужно искать драйвера (поиск для Canon в центре программного обеспечения). Он будет отображаться в Самбу после того, как вы установили его.

+929
Andy B 24 янв. 2011 г., 15:12:53

Откройте терминал

тип:

судо apt-получить удалить dmraid

затем введите "Y" введите"

Это полностью сработало. Я сделал все от 10.10 компакт-диска. Должна быть какая-рейда код мешая установке - новые установки ужасное. Спасибо за помощь.

+905
Veronique 30 мар. 2017 г., 15:06:02

Я не думаю, что там является открытым исходным кодом программы на рынке. Но если вам нужно средство просмотра для открытия во всех версиях, можно попробовать легкие версии Мос проекта зрителя. Это бесплатные, но ограниченные по функциональности. Полная версия имеет больше возможностей.

+862
Oleg Svitskyi 4 мар. 2015 г., 2:02:04
gsettings установленные org.гном.оболочки.кнопка переопределения макета :закрыть,свернуть,развернуть

Попробуйте указанную выше команду в терминале (сочетание клавиш Ctrl+АЛТ+Т). Это будет работать. Он на самом деле придерживается принципа разделения в Python. Вы можете дать закрыть,свернуть,развернуть: чтобы переместить ключи налево. Далее вы можете менять позиции закрыть,минимизировать и максимизировать :)

+792
AHM 10 июл. 2011 г., 5:43:45

Дополнительный инструмент водители показали никаких проприетарных драйверов, поэтому я открыла окно xterm и ввел команду

команду lspci

Результаты включены в линию:

Сетевой контроллер: корпорация адаптер Broadcom BCM4318 [военно-воздушные силы один 54г] 802.11 g беспроводной контроллер LAN (Рэв 02)

Это означает, что корпорации Dell 1370 был найден при загрузке, но, как отметил на панель управления Сеть была установлена не прошивка.

Я побежал следующие от консоли xterm:

судо apt-получить установку прошивки-в43-установщика

Это, казалось, сделать трюк, "беспроводные сети" подошел и подключен к моему WiFi роутер.

+751
Michael Weems 25 окт. 2018 г., 22:23:21

У меня такая же проблема с Эпсон ГТ-1500 и я нашел решение, которое работает, хотя и не самое лучшее решение.

Мне пришлось установить специальные драйверы Epson для моего сканера в моем изолированной зоне для клиентов (См.: http://download.ebz.epson.net/dsc/search/01/search/?OSC=LX)

Скачал драйвера, скопировать их в мой раздел, сделать chroot и установленный с помощью следующих команд:

судо apt-получить установку xsltproc
судо команды dpkg -я Искан*

Однажды у меня была установлена, я должен был восстановить мой образ дссп, перезагрузить клиент, то после того, как клиент я должен был подключить сканер. Тогда я мог бы запустить простое сканирование локально и он будет работать.

 дссп-localapp простой-сканирования

Убедитесь, что сканер приходит на клиенте

 дссп-localapp в xterm

Затем в течение в xterm

вменяемый-найти-сканер

Вы должны увидеть ваш сканер здесь.

+637
Joel Stephens 20 февр. 2012 г., 12:10:59

Можно создавать папки, как в iOS в панели запуска единство?

Я имею в виду, вы можете нажать на значок, а затем появятся значки горизонтально с несколько икон.

Это может сэкономить место на панели запуска единство. И я хотел бы знать, если эти решения экономии пространства доступны.

+594
Domenico Mascilli 9 февр. 2010 г., 5:02:28

Я нашел эту проблему решали на моем компьютере, когда я обновился до 12.04 ЛТС, я рекомендовал бы дать этому попытку. Есть ли конкретная причина, что вы по-прежнему используете 10.04 LTS на такой мощной системы?

+556
AShockney 22 июл. 2011 г., 10:15:18

Смысл может варьироваться от деб деб, это в основном означает, что чего-то не хватает / не упакованных на 100% прав.

Вы можете установить его с помощью команды dpkg:

Предполагая, что вы уже скачали .деб в ваш ~/загрузки папку, выполните следующие команды в терминале для установки всех .deb файлы:

команда CD ~/загрузки
судо команды dpkg -я *.деб
судо apt-получить установку -Ф

Или используете Gdebi. Установить Gdebi первый:

суда apt-получить установку gdebi gdebi-Core с

Затем можно щелкнуть правой кнопкой мыши .деб файл и выберите "Открыть с помощью установщика пакетов Gdebi".

Я уже написал об этом несколько часов назад: Как установить .Deb файлы, когда получаете "пакет плохого качества" ошибки в "Центр приложений Ubuntu"

+542
So S 16 июл. 2016 г., 11:03:22

Что вы могли бы попробовать это изменить все свои записи в файл/etc/АПТ/источников.список того чтобы уточнить, как это

деб http://extras.ubuntu.com/ubuntu точные основных
деб http://us.archive.ubuntu.com/ubuntu/ точная основная вселенная ограничена мультивселенной

затем выполните:

суда apt-получить удалить диверсии
судо apt-получить обновление
судо apt-получить установку подрывной деятельности

Если установить подрывной 1.6 работает для вас, затем вы захотите вернуть свои источники.список и блокировка в Subversion 1.6 при запуске Эхо подрывной провести | судо команды dpkg --сэт-выбор

Этот тип установки не рекомендуется, но иногда это самый простой вариант. Если он работает во все виды сумасшедшие конфликты, то ты другой лучший вариант-просто вернуться к Ubuntu 12.04.

+470
Peter Pinch 3 апр. 2012 г., 14:50:02

Может вы понизило xorg не ошибся.

Я знаю, что проблема с драйверами для серии Radeon 4xxx и HD. Удалить драйвера и установить как обычно. После этого попробуйте таким образом:

судо дополнения кв-репозиторий PPA:makson96/fglrx от
судо apt-получить обновление
судо apt-получить обновление
суда apt-получить установку fglrx от-наследие

Перезагрузите ваш компьютер.

Этот репозиторий содержит драйверы Catalyst от AMD для устаревших графика Radeon 2xxx по БГ - 4xxx для Ubuntu:

  • 12.04 Точный Панголин
  • 12.10 Quantal Кетцаль
+320
ItsDanny 9 нояб. 2014 г., 7:44:18

Я протестировал это на Линукс Минт 14 (Надя), т. е. в Ubuntu 12.10 (дискретные).

1. Проверьте ваш энвайронмент

Вы сначала проверьте текущую версию Сасс

Сасс --версия # Сасс 3.1.19 (башковитый Бэтти)
что Сасс # /usr/Бен/Сасс

2. Удалить пакеты дистрибутива

удалить пакеты, установить с помощью диспетчера пакетов (я.э АПТ-вам или apitude), поскольку они имеют приоритет

apt-получить удалить рубиново-Sass рубиново-компас

Примечание: это можно пропустить, если вы настроить свой путь к цели права двоичном (см. ниже).

3. Установить новую версию

apt-получить установку рубиново-полный 
камень установить Сасс 
камень установить компас

4. Тестовая версия

Сасс --версия # Сасс 3.2.7 (медиа Марк)
что Сасс # /usr/местные/Бен/Сасс

Источники

+263
shiv kumar jha 23 февр. 2015 г., 7:52:12

Самый простой способ-выполнить команду sudo tasksel для установки почтового сервера. Это даст вам сервер электронной почты значения по умолчанию. Все что вам нужно сделать, это ответить на несколько вопросов. Очевидно, вы все еще в состоянии сделать после ручной настройки, если это необходимо, но в большинстве случаев это не будет. Просто следуйте указаниям на экране, и вы должны быть хорошо.

Читал на электронную почту администрации, хотя абсолютно рекомендуется.

Официальные Ссылки:

+177
Ans163 17 окт. 2014 г., 8:30:50

Я хочу переустановить Ubuntu на нетбук с крошечным диском. Из-за крошечного размера диска, я бы настоятельно предпочитают иметь файл подкачки, чем раздел подкачки. Однако, я хочу быть в состоянии гибернации.

Я знаю, что зимовка должна быть включена вручную. Я также знаю, что гибернация в файл подкачки работает на старом Eeebuntu, что я буду заменить, так что аппаратная поддержка не важна.

Не точная поддержка ядра гибернацию в файл подкачки? Что если что-то нужно настроить?

Обратите внимание, что я ищу надежную, актуальную информацию. Я не возражаю, если спящий режим не поддерживается из коробки, но я бы предпочел не придется перекомпилировать ядро, если я могу обойтись без. Я буду упирать на исправление ядра для этой машины.

+163
Jose Ines Lopez 25 июл. 2015 г., 1:05:08

Я имел такую же проблему и попросил помощи на канале #Ubuntu-телефона ици. Они придумали решение использовать ППА:канонические-qt5-обрезки/qt5-правильное ППА из Launchpad. Поэтому просто добавить https://launchpad.net/~канонично-qt5-обрезки/+архив/qt5-собственно к источникам.список. После этого бегите

 судо apt-получить обновление 

и вы должны быть в состоянии выполнить инструкции из http://developer.ubuntu.com/get-started/gomobile/.

+39
TheLuminor 17 янв. 2017 г., 4:08:05

Показать вопросы с тегом